﻿
@{
    ViewData["Title"] = "Datatable Events";
}
@section DataTableCss{
    <link href="~/lib/css/tables/datatable/datatables.min.css" rel="stylesheet" />
    <link href="~/lib/css/tables/datatable/responsive.dataTables.min.css" rel="stylesheet" />
}
@section DataTableScripts {
    <partial name="_DataTableScripts" />
}
<!--Filter Modal-->
<div class="modal fade text-left" id="filterModal" tabindex="-1" role="dialog" aria-labelledby="filterModal"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="filterModal">Filter Event</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="filter-form">
                    <div class="form-body">
                        @{
                            if (!User.IsInRole("User"))
                            {

                                var classOfRow = "col-md-6";
                                if (!User.IsInRole("Super Admin"))
                                {
                                    classOfRow = "col-md-12";
                                }
                                <div class="row">
                                    <div class="@classOfRow">
                                        <div class="form-group">
                                            <label for="title">Personel</label>
                                            <div class="position-relative has-icon-left">
                                                <input type="hidden" id="filter_personnel" class="form-control">
                                                <input type="text" class="form-control js-typeaheadPersonnel">
                                                <div class="form-control-position">
                                                    <i class="fa fa-inbox"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @{
                                        if (User.IsInRole("Super Admin"))
                                        {
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="title">Müdürlük</label>
                                                    <div class="position-relative has-icon-left">
                                                        <input type="hidden" id="filter_directorship" class="form-control">
                                                        <input type="text" class="form-control js-typeaheadDirectorship">
                                                        <div class="form-control-position">
                                                            <i class="fa fa-inbox"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        }
                                    }
                                </div>
                                        }
                        }
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="category">İş Grubu</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="text" id="filter_category" class="form-control" name="category">
                                        <div class="form-control-position">
                                            <i class="fa fa-briefcase"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="customerName">Müşteri</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="text" id="filter_customerName" class="form-control" name="customerName">
                                        <div class="form-control-position">
                                            <i class="fa fa-briefcase"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="startDate">Başlangıç Tarihi</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="date" id="filter_startDate" class="form-control" name="startDate">
                                        <div class="form-control-position">
                                            <i class="ft-message-square"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="endDate">Bitiş Tarihi</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="date" id="filter_endDate" class="form-control" name="endDate">
                                        <div class="form-control-position">
                                            <i class="ft-message-square"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="form-actions right">
                    <button type="button" id="filter-event" class="btn btn-raised btn-primary">
                        <i class="fa fa-check-square-o"></i> Filtrele
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<!--End Filter Modal-->

<section id="text-inputs">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header d-flex justify-content-between">
                    <h4 class="card-title">Events Data Table</h4>
                </div>
                <div class="card-content ">
                    <div class="card-body table-responsive">
                        <div class="col-md-12">
                            <div class="d-flex justify-content-end" id="export-btn-container">

                                <button type="button" id="clear-filter" class="btn btn-raised btn-primary ml-2 mr-2">
                                    <span class="icon-wrapper">
                                        <i class="ft-refresh-ccw"></i>
                                    </span> Filtreyi Temizle
                                </button>
                                <button type="button" class="btn btn-raised btn-success" data-toggle="modal"
                                        data-target="#filterModal">
                                    <span class="icon-wrapper">
                                        <i class="ft-filter"></i>
                                    </span>
                                    Filtrele
                                </button>
                            </div>
                        </div>
                        <table id="eventsTable" class="ui celled table">
                            <thead>
                                <tr>
                                    @{
                                        if (!User.IsInRole("User"))
                                        {
                                            if (User.IsInRole("Super Admin"))
                                            {
                                            <th>Müdürlük</th>
                                            }
                                            <th>İsim</th>

                                        }
                                    }

                                    <th>İş Grubu</th>
                                    <th>Müşteri</th>
                                    <th>Başlık</th>
                                    <th>Açıklama</th>
                                    <th>Başlangıç Tarihi</th>
                                    <th>Bitiş Tarihi</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    @{
                                        if (!User.IsInRole("User"))
                                        {
                                            if (User.IsInRole("Super Admin"))
                                            {
                                                <th>Müdürlük</th>
                                            }
                                            <th>İsim</th>
                                        }
                                    }
                                    <th>İş Grubu</th>
                                    <th>Müşteri</th>
                                    <th>Başlık</th>
                                    <th>Açıklama</th>
                                    <th>Başlangıç Tarihi</th>
                                    <th>Bitiş Tarihi</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>